html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

#app {
    width: 100%;
    height: 100%;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-family: "Helvetica Neue", Helvetica, "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei", "微软雅黑", Arial, sans-serif;
}

.top-panel {
    width: 100%;
    height: 360px;
    border-bottom: 1px solid #dddddd;
    box-sizing: border-box;
    font-size: 0;
    display: flex;
    flex-direction: row;
}

.control-panel {
    height: 100%;
    border-right: 1px solid #dddddd;
    box-sizing: border-box;
}

.control-panel > .el-form {
    padding: 16px;
}

.control-panel > .title {
    font-size: 16px;
    text-align: center;
    line-height: 48px;
    color: #303030;
    border-bottom: 1px solid #eeeeee;
}

.control-panel .webp-info {
    line-height: 32px;
    height: 32px;
    font-size: 14px;
    color: #303030;
    text-align: center;
    margin-top: 32px;
}

.webp-container {
    flex: 1;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.webp-container > img {
    max-width: calc(100% - 32px);
    max-height: calc(100% - 32px);
    cursor: pointer;
}

.webp-container > .loading {
    text-align: center;
    font-size: 18px;
}

.frames-container {
    width: 100%;
    height: calc(100% - 360px);
    display: flex;
    justify-content: center;
    align-items: center;
}

.frames-wrap {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-content: start;
    flex-wrap: wrap;
    overflow-y: auto;
}

.frames-wrap > .image-frame {
    width: 250px;
    font-size: 0;
    margin: 16px
}

.frames-wrap > i {
    width: 250px;
    margin: 0 16px;
}

.frames-wrap > .image-frame > img {
    width: 100%;
}

.frames-wrap > .image-frame > .name {
    font-size: 14px;
    color: #303030;
    line-height: 28px;
    text-align: center;
    border: 1px solid #eeeeee;
}

.frames-wrap > .image-frame > .name .options-handle {
    cursor: pointer;
    color: #409eff;
}

.frames-wrap > .image-frame > .name .options-handle:hover {
    color: #6eb2ff;
}

.frames-wrap > .image-frame > .name .options-handle-changed {
    cursor: pointer;
    color: #e6a23c;
}

.frames-wrap > .image-frame > .name .options-handle-changed:hover {
    color: #e8af59;
}

.frames-wrap > .image-frame > .el-form {
    padding: 8px 8px;
    border: 1px solid #eeeeee;
    border-top: none;
    margin: 0;
}

.el-form-item {
    margin-bottom: 0 !important;
}

.el-form-item + .el-form-item {
    margin-top: 8px;
}

.github-corner:hover .octo-arm {
    animation: octocat-wave 560ms ease-in-out;
}

@keyframes octocat-wave {
    0% {
        transform: rotate(0deg);
    }

    20% {
        transform: rotate(-25deg);
    }

    40% {
        transform: rotate(10deg);
    }

    60% {
        transform: rotate(-25deg);
    }

    80% {
        transform: rotate(10deg);
    }

    100% {
        transform: rotate(0deg);
    }
}

@media (max-width: 500px) {
    .github-corner:hover .octo-arm {
        animation: none;
    }

    .github-corner .octo-arm {
        animation: octocat-wave 560ms ease-in-out;
    }
}

.drag-layer {
    z-index: 10000;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    font-size: 56px;
    color: #eeeeee;
    display: flex;
    align-items: center;
    justify-content: center;
    user-select: none;
}
